Bug 616902 - update fails when using systemd
update fails when using systemd
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-21 13:15 EDT by ritz
Modified: 2014-03-16 23:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-28 14:49:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ritz 2010-07-21 13:15:51 EDT
Description of problem:

initscripts-9.15-1.fc14.x86_64 has missing requires of upstart >= ('0', '0.6.0', None)
1:readahead-1.5.6-1.fc14.x86_64 has missing requires of upstart
system-setup-keyboard-0.8.5-2.fc14.x86_64 has missing requires of upstart
vpnc-0.5.3-7.fc13.x86_64 has missing requires of upstart >= ('0', '0.6.0', None)
Comment 1 Bill Nottingham 2010-07-27 13:21:32 EDT
This should be fixed in tomorrow's rawhide. Please retest?
Comment 2 ritz 2010-07-28 02:10:43 EDT
works.
Comment 3 ritz 2010-07-29 09:12:10 EDT
my bad, it seems I have upstart and systemd on my system now. Kindda crazy. initscripts still requires upstart.

# rpm -e upstart
error: Failed dependencies:
	upstart is needed by (installed) readahead-1:1.5.6-1.fc14.x86_64
	upstart >= 0.6.0 is needed by (installed) vpnc-0.5.3-7.fc13.x86_64
	upstart is needed by (installed) system-setup-keyboard-0.8.5-2.fc14.x86_64
	upstart >= 0.6.5-6.fc14 is needed by (installed) systemd-sysvinit-4-4.fc14.x86_64
	upstart >= 0.6.0 is needed by (installed) initscripts-9.16-1.fc14.x86_64
[root@localhost ritz]# rpm -q systemd
systemd-4-4.fc14.x86_64
[root@localhost ritz]# rpm -e upstart --nodeps 


I assume, rpm does not allow for (A or B) in dependency listing ?
Comment 4 Bill Nottingham 2010-07-29 11:35:30 EDT
This will get cleaned up when we make a final decision on the init system for F-14. Until then, I don't consider it a big issue.
Comment 5 Bug Zapper 2010-07-30 08:43:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bill Nottingham 2011-02-28 14:49:19 EST
This should be fine now.

Note You need to log in before you can comment on or make changes to this bug.